package ru.potapov.tm.endpoint;

import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebResult;
import javax.jws.WebService;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.ws.Action;
import javax.xml.ws.FaultAction;
import javax.xml.ws.RequestWrapper;
import javax.xml.ws.ResponseWrapper;

/**
 * This class was generated by Apache CXF 3.2.7
 * 2019-11-15T12:45:48.582+03:00
 * Generated source version: 3.2.7
 *
 */
@WebService(targetNamespace = "http://endpoint.tm.potapov.ru/", name = "IUserEndpoint")
@XmlSeeAlso({ObjectFactory.class})
public interface IUserEndpoint {

    @WebMethod
    @Action(input = "http://endpoint.tm.potapov.ru/IUserEndpoint/getUserByNameRequest", output = "http://endpoint.tm.potapov.ru/IUserEndpoint/getUserByNameResponse")
    @RequestWrapper(localName = "getUserByName", targetNamespace = "http://endpoint.tm.potapov.ru/", className = "ru.potapov.tm.endpoint.GetUserByName")
    @ResponseWrapper(localName = "getUserByNameResponse", targetNamespace = "http://endpoint.tm.potapov.ru/", className = "ru.potapov.tm.endpoint.GetUserByNameResponse")
    @WebResult(name = "return", targetNamespace = "")
    public ru.potapov.tm.endpoint.User getUserByName(
        @WebParam(name = "arg0", targetNamespace = "")
        java.lang.String arg0
    );

    @WebMethod
    @Action(input = "http://endpoint.tm.potapov.ru/IUserEndpoint/getUserCollectionRequest", output = "http://endpoint.tm.potapov.ru/IUserEndpoint/getUserCollectionResponse")
    @RequestWrapper(localName = "getUserCollection", targetNamespace = "http://endpoint.tm.potapov.ru/", className = "ru.potapov.tm.endpoint.GetUserCollection")
    @ResponseWrapper(localName = "getUserCollectionResponse", targetNamespace = "http://endpoint.tm.potapov.ru/", className = "ru.potapov.tm.endpoint.GetUserCollectionResponse")
    @WebResult(name = "return", targetNamespace = "")
    public java.util.List<ru.potapov.tm.endpoint.User> getUserCollection();

    @WebMethod
    @Action(input = "http://endpoint.tm.potapov.ru/IUserEndpoint/createUserRequest", output = "http://endpoint.tm.potapov.ru/IUserEndpoint/createUserResponse")
    @RequestWrapper(localName = "createUser", targetNamespace = "http://endpoint.tm.potapov.ru/", className = "ru.potapov.tm.endpoint.CreateUser")
    @ResponseWrapper(localName = "createUserResponse", targetNamespace = "http://endpoint.tm.potapov.ru/", className = "ru.potapov.tm.endpoint.CreateUserResponse")
    @WebResult(name = "return", targetNamespace = "")
    public ru.potapov.tm.endpoint.User createUser(
        @WebParam(name = "arg0", targetNamespace = "")
        java.lang.String arg0,
        @WebParam(name = "arg1", targetNamespace = "")
        java.lang.String arg1,
        @WebParam(name = "arg2", targetNamespace = "")
        ru.potapov.tm.endpoint.RoleType arg2
    );

    @WebMethod
    @Action(input = "http://endpoint.tm.potapov.ru/IUserEndpoint/isAdministratorRequest", output = "http://endpoint.tm.potapov.ru/IUserEndpoint/isAdministratorResponse", fault = {@FaultAction(className = ValidateExeption_Exception.class, value = "http://endpoint.tm.potapov.ru/IUserEndpoint/isAdministrator/Fault/ValidateExeption")})
    @RequestWrapper(localName = "isAdministrator", targetNamespace = "http://endpoint.tm.potapov.ru/", className = "ru.potapov.tm.endpoint.IsAdministrator")
    @ResponseWrapper(localName = "isAdministratorResponse", targetNamespace = "http://endpoint.tm.potapov.ru/", className = "ru.potapov.tm.endpoint.IsAdministratorResponse")
    @WebResult(name = "return", targetNamespace = "")
    public boolean isAdministrator(
        @WebParam(name = "arg0", targetNamespace = "")
        ru.potapov.tm.endpoint.Session arg0,
        @WebParam(name = "arg1", targetNamespace = "")
        ru.potapov.tm.endpoint.User arg1
    ) throws ValidateExeption_Exception;

    @WebMethod
    @Action(input = "http://endpoint.tm.potapov.ru/IUserEndpoint/setUserMapRepositoryRequest", output = "http://endpoint.tm.potapov.ru/IUserEndpoint/setUserMapRepositoryResponse")
    @RequestWrapper(localName = "setUserMapRepository", targetNamespace = "http://endpoint.tm.potapov.ru/", className = "ru.potapov.tm.endpoint.SetUserMapRepository")
    @ResponseWrapper(localName = "setUserMapRepositoryResponse", targetNamespace = "http://endpoint.tm.potapov.ru/", className = "ru.potapov.tm.endpoint.SetUserMapRepositoryResponse")
    public void setUserMapRepository(
        @WebParam(name = "arg0", targetNamespace = "")
        ru.potapov.tm.endpoint.MyMap arg0
    );

    @WebMethod
    @Action(input = "http://endpoint.tm.potapov.ru/IUserEndpoint/collectUserInfoRequest", output = "http://endpoint.tm.potapov.ru/IUserEndpoint/collectUserInfoResponse", fault = {@FaultAction(className = ValidateExeption_Exception.class, value = "http://endpoint.tm.potapov.ru/IUserEndpoint/collectUserInfo/Fault/ValidateExeption")})
    @RequestWrapper(localName = "collectUserInfo", targetNamespace = "http://endpoint.tm.potapov.ru/", className = "ru.potapov.tm.endpoint.CollectUserInfo")
    @ResponseWrapper(localName = "collectUserInfoResponse", targetNamespace = "http://endpoint.tm.potapov.ru/", className = "ru.potapov.tm.endpoint.CollectUserInfoResponse")
    @WebResult(name = "return", targetNamespace = "")
    public java.lang.String collectUserInfo(
        @WebParam(name = "arg0", targetNamespace = "")
        ru.potapov.tm.endpoint.Session arg0,
        @WebParam(name = "arg1", targetNamespace = "")
        ru.potapov.tm.endpoint.User arg1
    ) throws ValidateExeption_Exception;

    @WebMethod
    @Action(input = "http://endpoint.tm.potapov.ru/IUserEndpoint/putUserRequest", output = "http://endpoint.tm.potapov.ru/IUserEndpoint/putUserResponse", fault = {@FaultAction(className = ValidateExeption_Exception.class, value = "http://endpoint.tm.potapov.ru/IUserEndpoint/putUser/Fault/ValidateExeption")})
    @RequestWrapper(localName = "putUser", targetNamespace = "http://endpoint.tm.potapov.ru/", className = "ru.potapov.tm.endpoint.PutUser")
    @ResponseWrapper(localName = "putUserResponse", targetNamespace = "http://endpoint.tm.potapov.ru/", className = "ru.potapov.tm.endpoint.PutUserResponse")
    public void putUser(
        @WebParam(name = "arg0", targetNamespace = "")
        ru.potapov.tm.endpoint.Session arg0,
        @WebParam(name = "arg1", targetNamespace = "")
        ru.potapov.tm.endpoint.User arg1
    ) throws ValidateExeption_Exception;

    @WebMethod
    @Action(input = "http://endpoint.tm.potapov.ru/IUserEndpoint/sizeUserMapRequest", output = "http://endpoint.tm.potapov.ru/IUserEndpoint/sizeUserMapResponse")
    @RequestWrapper(localName = "sizeUserMap", targetNamespace = "http://endpoint.tm.potapov.ru/", className = "ru.potapov.tm.endpoint.SizeUserMap")
    @ResponseWrapper(localName = "sizeUserMapResponse", targetNamespace = "http://endpoint.tm.potapov.ru/", className = "ru.potapov.tm.endpoint.SizeUserMapResponse")
    @WebResult(name = "return", targetNamespace = "")
    public int sizeUserMap();

    @WebMethod
    @Action(input = "http://endpoint.tm.potapov.ru/IUserEndpoint/createPredefinedUsersRequest", output = "http://endpoint.tm.potapov.ru/IUserEndpoint/createPredefinedUsersResponse")
    @RequestWrapper(localName = "createPredefinedUsers", targetNamespace = "http://endpoint.tm.potapov.ru/", className = "ru.potapov.tm.endpoint.CreatePredefinedUsers")
    @ResponseWrapper(localName = "createPredefinedUsersResponse", targetNamespace = "http://endpoint.tm.potapov.ru/", className = "ru.potapov.tm.endpoint.CreatePredefinedUsersResponse")
    public void createPredefinedUsers();

    @WebMethod
    @Action(input = "http://endpoint.tm.potapov.ru/IUserEndpoint/getUserMapRepositoryRequest", output = "http://endpoint.tm.potapov.ru/IUserEndpoint/getUserMapRepositoryResponse")
    @RequestWrapper(localName = "getUserMapRepository", targetNamespace = "http://endpoint.tm.potapov.ru/", className = "ru.potapov.tm.endpoint.GetUserMapRepository")
    @ResponseWrapper(localName = "getUserMapRepositoryResponse", targetNamespace = "http://endpoint.tm.potapov.ru/", className = "ru.potapov.tm.endpoint.GetUserMapRepositoryResponse")
    @WebResult(name = "return", targetNamespace = "")
    public ru.potapov.tm.endpoint.MyMap getUserMapRepository();

    @WebMethod
    @Action(input = "http://endpoint.tm.potapov.ru/IUserEndpoint/isUserPassCorrectRequest", output = "http://endpoint.tm.potapov.ru/IUserEndpoint/isUserPassCorrectResponse")
    @RequestWrapper(localName = "isUserPassCorrect", targetNamespace = "http://endpoint.tm.potapov.ru/", className = "ru.potapov.tm.endpoint.IsUserPassCorrect")
    @ResponseWrapper(localName = "isUserPassCorrectResponse", targetNamespace = "http://endpoint.tm.potapov.ru/", className = "ru.potapov.tm.endpoint.IsUserPassCorrectResponse")
    @WebResult(name = "return", targetNamespace = "")
    public boolean isUserPassCorrect(
        @WebParam(name = "arg0", targetNamespace = "")
        ru.potapov.tm.endpoint.User arg0,
        @WebParam(name = "arg1", targetNamespace = "")
        java.lang.String arg1
    );

    @WebMethod
    @Action(input = "http://endpoint.tm.potapov.ru/IUserEndpoint/changePassRequest", output = "http://endpoint.tm.potapov.ru/IUserEndpoint/changePassResponse", fault = {@FaultAction(className = ValidateExeption_Exception.class, value = "http://endpoint.tm.potapov.ru/IUserEndpoint/changePass/Fault/ValidateExeption"), @FaultAction(className = CloneNotSupportedException_Exception.class, value = "http://endpoint.tm.potapov.ru/IUserEndpoint/changePass/Fault/CloneNotSupportedException")})
    @RequestWrapper(localName = "changePass", targetNamespace = "http://endpoint.tm.potapov.ru/", className = "ru.potapov.tm.endpoint.ChangePass")
    @ResponseWrapper(localName = "changePassResponse", targetNamespace = "http://endpoint.tm.potapov.ru/", className = "ru.potapov.tm.endpoint.ChangePassResponse")
    @WebResult(name = "return", targetNamespace = "")
    public ru.potapov.tm.endpoint.User changePass(
        @WebParam(name = "arg0", targetNamespace = "")
        ru.potapov.tm.endpoint.Session arg0,
        @WebParam(name = "arg1", targetNamespace = "")
        ru.potapov.tm.endpoint.User arg1,
        @WebParam(name = "arg2", targetNamespace = "")
        java.lang.String arg2
    ) throws ValidateExeption_Exception, CloneNotSupportedException_Exception;

    @WebMethod
    @Action(input = "http://endpoint.tm.potapov.ru/IUserEndpoint/loadAllUsersRequest", output = "http://endpoint.tm.potapov.ru/IUserEndpoint/loadAllUsersResponse", fault = {@FaultAction(className = Exception_Exception.class, value = "http://endpoint.tm.potapov.ru/IUserEndpoint/loadAllUsers/Fault/Exception")})
    @RequestWrapper(localName = "loadAllUsers", targetNamespace = "http://endpoint.tm.potapov.ru/", className = "ru.potapov.tm.endpoint.LoadAllUsers")
    @ResponseWrapper(localName = "loadAllUsersResponse", targetNamespace = "http://endpoint.tm.potapov.ru/", className = "ru.potapov.tm.endpoint.LoadAllUsersResponse")
    public void loadAllUsers() throws Exception_Exception;

    @WebMethod
    @Action(input = "http://endpoint.tm.potapov.ru/IUserEndpoint/saveAllUsersRequest", output = "http://endpoint.tm.potapov.ru/IUserEndpoint/saveAllUsersResponse", fault = {@FaultAction(className = Exception_Exception.class, value = "http://endpoint.tm.potapov.ru/IUserEndpoint/saveAllUsers/Fault/Exception")})
    @RequestWrapper(localName = "saveAllUsers", targetNamespace = "http://endpoint.tm.potapov.ru/", className = "ru.potapov.tm.endpoint.SaveAllUsers")
    @ResponseWrapper(localName = "saveAllUsersResponse", targetNamespace = "http://endpoint.tm.potapov.ru/", className = "ru.potapov.tm.endpoint.SaveAllUsersResponse")
    public void saveAllUsers() throws Exception_Exception;

    @WebMethod
    @Action(input = "http://endpoint.tm.potapov.ru/IUserEndpoint/getUserRoleRequest", output = "http://endpoint.tm.potapov.ru/IUserEndpoint/getUserRoleResponse", fault = {@FaultAction(className = ValidateExeption_Exception.class, value = "http://endpoint.tm.potapov.ru/IUserEndpoint/getUserRole/Fault/ValidateExeption")})
    @RequestWrapper(localName = "getUserRole", targetNamespace = "http://endpoint.tm.potapov.ru/", className = "ru.potapov.tm.endpoint.GetUserRole")
    @ResponseWrapper(localName = "getUserRoleResponse", targetNamespace = "http://endpoint.tm.potapov.ru/", className = "ru.potapov.tm.endpoint.GetUserRoleResponse")
    @WebResult(name = "return", targetNamespace = "")
    public ru.potapov.tm.endpoint.RoleType getUserRole(
        @WebParam(name = "arg0", targetNamespace = "")
        ru.potapov.tm.endpoint.Session arg0,
        @WebParam(name = "arg1", targetNamespace = "")
        ru.potapov.tm.endpoint.User arg1
    ) throws ValidateExeption_Exception;

    @WebMethod
    @Action(input = "http://endpoint.tm.potapov.ru/IUserEndpoint/setAuthorizedUserRequest", output = "http://endpoint.tm.potapov.ru/IUserEndpoint/setAuthorizedUserResponse")
    @RequestWrapper(localName = "setAuthorizedUser", targetNamespace = "http://endpoint.tm.potapov.ru/", className = "ru.potapov.tm.endpoint.SetAuthorizedUser")
    @ResponseWrapper(localName = "setAuthorizedUserResponse", targetNamespace = "http://endpoint.tm.potapov.ru/", className = "ru.potapov.tm.endpoint.SetAuthorizedUserResponse")
    public void setAuthorizedUser(
        @WebParam(name = "arg0", targetNamespace = "")
        ru.potapov.tm.endpoint.User arg0
    );

    @WebMethod
    @Action(input = "http://endpoint.tm.potapov.ru/IUserEndpoint/getUserByIdRequest", output = "http://endpoint.tm.potapov.ru/IUserEndpoint/getUserByIdResponse", fault = {@FaultAction(className = ValidateExeption_Exception.class, value = "http://endpoint.tm.potapov.ru/IUserEndpoint/getUserById/Fault/ValidateExeption")})
    @RequestWrapper(localName = "getUserById", targetNamespace = "http://endpoint.tm.potapov.ru/", className = "ru.potapov.tm.endpoint.GetUserById")
    @ResponseWrapper(localName = "getUserByIdResponse", targetNamespace = "http://endpoint.tm.potapov.ru/", className = "ru.potapov.tm.endpoint.GetUserByIdResponse")
    @WebResult(name = "return", targetNamespace = "")
    public ru.potapov.tm.endpoint.User getUserById(
        @WebParam(name = "arg0", targetNamespace = "")
        ru.potapov.tm.endpoint.Session arg0,
        @WebParam(name = "arg1", targetNamespace = "")
        java.lang.String arg1
    ) throws ValidateExeption_Exception;

    @WebMethod
    @Action(input = "http://endpoint.tm.potapov.ru/IUserEndpoint/getUserByNamePassRequest", output = "http://endpoint.tm.potapov.ru/IUserEndpoint/getUserByNamePassResponse", fault = {@FaultAction(className = Exception_Exception.class, value = "http://endpoint.tm.potapov.ru/IUserEndpoint/getUserByNamePass/Fault/Exception")})
    @RequestWrapper(localName = "getUserByNamePass", targetNamespace = "http://endpoint.tm.potapov.ru/", className = "ru.potapov.tm.endpoint.GetUserByNamePass")
    @ResponseWrapper(localName = "getUserByNamePassResponse", targetNamespace = "http://endpoint.tm.potapov.ru/", className = "ru.potapov.tm.endpoint.GetUserByNamePassResponse")
    @WebResult(name = "return", targetNamespace = "")
    public ru.potapov.tm.endpoint.User getUserByNamePass(
        @WebParam(name = "arg0", targetNamespace = "")
        java.lang.String arg0,
        @WebParam(name = "arg1", targetNamespace = "")
        java.lang.String arg1
    ) throws Exception_Exception;
}
